Subject: Re: [PATCH v4] submodule: port subcommand 'set-url' from shell to C

From: Shourya Shukla <[email-masked]>
Date: Fri, 8 May 2020 11:17:28 +0530

On 06/05 10:08, Junio C Hamano wrote:
> Shourya Shukla <[email-masked]> writes:
> 
> > No worries. BTW, should I include the `path == NULL` check in the
> > if-statement?
> 
> If I were writing this code, I would probably write it like so:
> 
> 	if (!path || !newurl)
> 		oops;
> 
> Specifically, I would write "!path", not "path == NULL".  I thought
> a rule for that is in the CodingGuidelines (I didn't double check,
> though).

I could not find a rule like that in the CodingGuidelines.
Should I add it?
https://github.com/git/git/blob/master/Documentation/CodingGuidelines

> The comparison on argc is to see if we are even allowed to access
> argv[0] and/or argv[1].  In practice, if what main() got from the
> outside world in argv[] is passed directly to you, argv[n] would
> never be NULL as long as n < argc, but there are a few levels of
> callchain between main() and you (i.e. module_set_url()), so not
> counting on that would be sensible.

Understood. I will add the NULL check as well.